## labelme 3.16.1

=== debian/changelog ===
labelme (3.16.1-1) unstable; urgency=medium

  * Initial release. (Closes: #931148)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 24 Jun 2019 15:37:39 +0200

## labelme 5.4.1

=== Makefile ===
all:
	@echo '## Make commands ##'
	@echo
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

lint:
	ruff format --check
	ruff check

format:
	ruff format
	ruff check --fix

test:
	MPLBACKEND='agg' pytest tests

## labelme 3.16.2

=== debian/changelog ===
labelme (3.16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 16:25:25 +0200

=== debian/control ===
Source: labelme
Section: graphics
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), python3-pyqt5, dh-python, python3 (>= 3.6), python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml
X-Python3-Version: >= 3.6
Standards-Version: 4.2.1
Homepage: https://github.com/wkentaro/labelme

Package: labelme
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Image Polygonal Annotation with Python
 This is a graphical image annotation tool inspired by
 http://labelme.csail.mit.edu. It is written in Python and uses Qt for its
 graphical interface.

Package: labelme-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Image Polygonal Annotation with Python, examples
 This is a graphical image annotation tool inspired by
 http://labelme.csail.mit.edu. It is written in Python and uses Qt for its
 graphical interface.
 .
 This package contains the examples.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	rm debian/labelme/usr/bin/labelme_on_docker

## labelme 3.16.7

=== debian/changelog ===
labelme (3.16.7-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 30 Aug 2019 17:27:19 +0200

labelme (3.16.2-2) unstable; urgency=medium

  * debian/rules: don't fail if to be deleted file is tried to get deleted.
  * debian/control: main package must be all, not any.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 09 Aug 2019 09:41:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://github.com/wkentaro/labelme
 
 Package: labelme
-Architecture: any
+Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: Image Polygonal Annotation with Python
  This is a graphical image annotation tool inspired by

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_fixperms:
-	dh_fixperms
-	rm debian/labelme/usr/bin/labelme_on_docker
+override_dh_auto_install:
+	dh_auto_install
+	-rm debian/tmp/usr/bin/labelme_on_docker

## labelme 4.5.6

=== debian/changelog ===
labelme (4.5.6-1) unstable; urgency=medium

  * New upstream version.
  * Add Vcs fields.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright: added Upstream-Contact.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 09 Oct 2020 08:16:00 +0200

labelme (3.16.7-2) unstable; urgency=medium

  * Add desktop file.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 21 Mar 2020 16:18:28 +0100

## labelme 4.5.7

=== debian/changelog ===
labelme (4.5.7-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 31 Jan 2021 23:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), python3-pyqt5, dh-python, python3 (>= 3.6), python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml
+Build-Depends: debhelper-compat (= 13), python3-pyqt5, dh-python, python3 (>= 3.6), python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml, python3-imgviz
 X-Python3-Version: >= 3.6
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/myczko-guest/labelme
+Vcs-Git: https://salsa.debian.org/myczko-guest/labelme.git
 Homepage: https://github.com/wkentaro/labelme
 
 Package: labelme

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## labelme 4.5.12

=== debian/changelog ===
labelme (4.5.12-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update python3 build-depends to python3:any | python3-all:any |
    python3-dev:any | python3-all-dev:any | dh-sequence-python3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 01 Oct 2021 08:29:57 +0200

labelme (4.5.10-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 22 Sep 2021 10:00:07 +0200

labelme (4.5.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 15 Aug 2021 13:13:58 +0200

labelme (4.5.9-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Jun 2021 14:41:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), python3-pyqt5, dh-python, python3 (>= 3.6), python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml, python3-imgviz
+Build-Depends: debhelper-compat (= 13), python3-pyqt5, dh-python, python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3, python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml, python3-imgviz
 X-Python3-Version: >= 3.6
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## labelme 4.5.13

=== debian/changelog ===
labelme (4.5.13-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.0.
  * d/control: update Vcf field.
  * d/labelme.1: drop old version number.

 -- Gürkan Myczko <tar@debian.org>  Mon, 01 Nov 2021 08:20:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: labelme
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), python3-pyqt5, dh-python, python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3, python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml, python3-imgviz
 X-Python3-Version: >= 3.6
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/myczko-guest/labelme
-Vcs-Git: https://salsa.debian.org/myczko-guest/labelme.git
+Vcs-Browser: https://salsa.debian.org/tar/labelme
+Vcs-Git: https://salsa.debian.org/tar/labelme.git
 Homepage: https://github.com/wkentaro/labelme
 
 Package: labelme

## labelme 4.6.0

=== debian/changelog ===
labelme (4.6.0-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: disable tests for now.
  * d/control: fix python build dependency.

 -- Gürkan Myczko <tar@debian.org>  Sun, 21 Nov 2021 18:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,21 @@
 Section: graphics
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), python3-pyqt5, dh-python, python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3, python3-matplotlib, python3-setuptools, pyqt5-dev, python3-pil, python3-qtpy, python3-termcolor, python3-yaml, python3-imgviz
+Build-Depends:
+ debhelper-compat (= 13),
+ python3-pyqt5,
+ dh-python,
+ python3-matplotlib,
+ python3-setuptools,
+ pyqt5-dev,
+ python3-pil,
+ python3-qtpy,
+ python3-termcolor,
+ python3-yaml,
+ python3-imgviz
+Build-Depends-Indep:
+ dh-sequence-python3,
+ python3
 X-Python3-Version: >= 3.6
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## labelme 5.0.1

=== debian/changelog ===
labelme (5.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 08 Mar 2022 15:51:53 +0100

labelme (5.0.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 02 Mar 2022 09:52:12 +0100

## labelme 5.0.2

=== debian/changelog ===
labelme (5.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Mon, 03 Oct 2022 14:25:50 +0200

## labelme 5.0.4

=== debian/changelog ===
labelme (5.0.4-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 28 Oct 2022 15:41:21 +0200

## labelme 5.1.1

=== debian/changelog ===
labelme (5.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 21 Nov 2022 08:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  dh-sequence-python3,
  python3
 X-Python3-Version: >= 3.6
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tar/labelme
 Vcs-Git: https://salsa.debian.org/tar/labelme.git

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/wkentaro/labelme/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## labelme 5.2.1

=== debian/changelog ===
labelme (5.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Wed, 14 Jun 2023 14:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  dh-sequence-python3,
  python3
 X-Python3-Version: >= 3.6
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tar/labelme
 Vcs-Git: https://salsa.debian.org/tar/labelme.git

## labelme 5.3.1

=== debian/changelog ===
labelme (5.3.1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update years.
  * d/control: Vcs fields, move to debian namespace.

 -- Gürkan Myczko <tar@debian.org>  Sun, 15 Oct 2023 18:31:00 +0200

## labelme 5.4.0

=== debian/changelog ===
labelme (5.4.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 03 Jan 2024 10:53:30 +0100

## labelme 5.4.1

=== debian/changelog ===
labelme (5.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Jan 2024 10:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 X-Python3-Version: >= 3.6
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/tar/labelme
-Vcs-Git: https://salsa.debian.org/tar/labelme.git
+Vcs-Browser: https://salsa.debian.org/debian/labelme
+Vcs-Git: https://salsa.debian.org/debian/labelme.git
 Homepage: https://github.com/wkentaro/labelme
 
 Package: labelme

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	-rm debian/tmp/usr/bin/labelme_on_docker
+
+override_dh_auto_test:
+	@echo skipping test

## labelme 5.5.0

=== debian/changelog ===
labelme (5.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 16 Jun 2024 11:42:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: labelme
 Section: graphics
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3-pyqt5,
@@ -18,7 +18,7 @@
  dh-sequence-python3,
  python3
 X-Python3-Version: >= 3.6
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/labelme
 Vcs-Git: https://salsa.debian.org/debian/labelme.git

## labelme 5.6.1

=== debian/changelog ===
labelme (5.6.1-2) unstable; urgency=medium

  * QA upload
  * Add Depends: gdown (Closes: #1085797)
  * Localize osam import
  * Enable tests

 -- Bastian Germann <bage@debian.org>  Fri, 27 Feb 2026 17:50:56 +0100

labelme (5.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Feb 2025 11:23:11 +0000

labelme (5.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Stuart Prescott ]
  * Add dependency on python3-pyqt5 (Closes: #1089956).

 -- Bastian Germann <bage@debian.org>  Sat, 18 Jan 2025 22:42:31 +0100

=== debian/control ===
Source: labelme
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-matplotlib,
 python3-setuptools,
 python3-pil,
 python3-termcolor,
 python3-yaml,
 python3-imgviz
Build-Depends-Indep:
 dh-sequence-python3,
 gdown <!nocheck>,
 python3-loguru <!nocheck>,
 python3-natsort <!nocheck>,
 python3-onnxruntime <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qtpy-pyqt5 <!nocheck>,
 python3-skimage <!nocheck>,
 python3
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/labelme
Vcs-Git: https://salsa.debian.org/debian/labelme.git
Homepage: https://github.com/wkentaro/labelme

Package: labelme
Architecture: all
Depends: gdown, ${misc:Depends}, ${python3:Depends}
Description: Image Polygonal Annotation with Python
 This is a graphical image annotation tool inspired by
 http://labelme.csail.mit.edu. It is written in Python and uses Qt for its
 graphical interface.

Package: labelme-examples
Architecture: all
Depends: ${misc:Depends}
Description: Image Polygonal Annotation with Python, examples
 This is a graphical image annotation tool inspired by
 http://labelme.csail.mit.edu. It is written in Python and uses Qt for its
 graphical interface.
 .
 This package contains the examples.

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	-rm debian/tmp/usr/bin/labelme_on_docker
 
 override_dh_auto_test:
-	@echo skipping test
+	QT_QPA_PLATFORM=offscreen dh_auto_test
